OrcKey (ORC MapReduce 1.6.6 API)
Date: 2021-01-13

org.apache.orc.mapred

## Class OrcKey

- java.lang.Object
- - org.apache.orc.mapred.OrcKey

- All Implemented Interfaces:
    Comparable<OrcKey>, Writable, WritableComparable<OrcKey>, JobConfigurable

      public final class OrcKey
      extends Object
      implements WritableComparable<OrcKey>, JobConfigurable

  This type provides a wrapper for OrcStruct so that it can be sent through the MapReduce shuffle as a key. The user should set the JobConf with orc.mapred.key.type with the type string of the type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WritableComparable` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcKey()`
    `OrcKey(WritableComparable key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OrcKey o)`
    `void` | `configure(JobConf conf)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `void` | `readFields(DataInput dataInput)`
    `void` | `write(DataOutput dataOutput)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public WritableComparable key

  - ### Constructor Detail

    - #### OrcKey

          public OrcKey(WritableComparable key)

    - #### OrcKey

          public OrcKey()

  - ### Method Detail

    - #### write

          public void write(DataOutput dataOutput)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput dataInput)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### configure

          public void configure(JobConf conf)

      Specified by:
        `configure` in interface `JobConfigurable`

    - #### compareTo

          public int compareTo(OrcKey o)

      Specified by:
        `compareTo` in interface `Comparable<OrcKey>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.